// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UWidgetBlueprint.h"
#include "SCW_UBaseWidgetBlueprint.h"

class UWidgetBlueprint;

namespace Sourcify
{
	class SCW_UWidgetBlueprint : public SCW_UBaseWidgetBlueprint, public virtual ISCW_UWidgetBlueprint
	{
	public:
		SCW_UWidgetBlueprint(UWidgetBlueprint* InWidgetBlueprint);

		UWidgetBlueprint* ToUWidgetBlueprint() const;

		ISCW_UWidgetTreePtr WidgetTree() const override;

	protected:
		UWidgetBlueprint* WidgetBlueprint;
	};
} // namespace Sourcify